> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agicto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 联网搜索

> POST /v1/tool/search

## Endpoint

```http theme={null}
POST /v1/tool/search
```

**分组**: 工具

## Headers

* `Authorization`: 必填 示例: `Bearer sk-`
* `Content-Type`: 必填 示例: `application/json`

## Request example

```json theme={null}
{
  "crawl_results": 0,
  "max_results": 5,
  "query": "小米",
  "search_service": "bing"
}
```

## Responses

* `200`: 成功

## OpenAPI specification

```yaml theme={null}
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/tool/search:
    post:
      summary: 联网搜索
      deprecated: false
      description: ''
      tags:
        - 工具
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          example: Bearer sk-
          schema:
            type: string
        - name: Content-Type
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                crawl_results:
                  type: integer
                  description: 需要爬取详情的内容数
                max_results:
                  type: integer
                  description: 列表爬取数
                query:
                  type: string
                  description: 搜索内容
                search_service:
                  type: string
                  description: 搜索来源，bing或google
              required:
                - crawl_results
                - max_results
                - query
                - search_service
              x-apifox-orders:
                - crawl_results
                - max_results
                - query
                - search_service
            example:
              crawl_results: 0
              max_results: 5
              query: 小米
              search_service: bing
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: 工具
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-282852115-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []
```
